Skip to main content
PATCH
/
actions
/
{action_id}
Update an action
curl --request PATCH \
  --url https://api.open.cx/actions/{action_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "api_endpoint": "<string>",
  "operation_id": "<string>",
  "payload": {
    "base_url": "<string>",
    "path": "<string>",
    "method": "<string>",
    "operationId": "<string>",
    "summary": "<string>",
    "description": "<string>",
    "parameters": [
      {
        "name": "<string>",
        "description": "<string>",
        "required": true,
        "schema": {}
      }
    ],
    "responses": {}
  },
  "pinned": true,
  "tags": [
    "<string>"
  ],
  "require_form_submission": true
}
'
import requests

url = "https://api.open.cx/actions/{action_id}"

payload = {
"name": "<string>",
"description": "<string>",
"api_endpoint": "<string>",
"operation_id": "<string>",
"payload": {
"base_url": "<string>",
"path": "<string>",
"method": "<string>",
"operationId": "<string>",
"summary": "<string>",
"description": "<string>",
"parameters": [
{
"name": "<string>",
"description": "<string>",
"required": True,
"schema": {}
}
],
"responses": {}
},
"pinned": True,
"tags": ["<string>"],
"require_form_submission": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
api_endpoint: '<string>',
operation_id: '<string>',
payload: {
base_url: '<string>',
path: '<string>',
method: '<string>',
operationId: '<string>',
summary: '<string>',
description: '<string>',
parameters: [{name: '<string>', description: '<string>', required: true, schema: {}}],
responses: {}
},
pinned: true,
tags: ['<string>'],
require_form_submission: true
})
};

fetch('https://api.open.cx/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "api_endpoint": "<string>",
  "request_type": "<string>",
  "operation_id": "<string>",
  "payload": {
    "base_url": "<string>",
    "path": "<string>",
    "method": "<string>",
    "operationId": "<string>",
    "summary": "<string>",
    "description": "<string>",
    "parameters": [
      {
        "name": "<string>",
        "description": "<string>",
        "required": true,
        "schema": {}
      }
    ],
    "requestBody": {
      "content": {},
      "description": "<string>",
      "required": true
    },
    "responses": {}
  },
  "status": "<string>",
  "pinned": true,
  "tags": [
    "<string>"
  ],
  "enabled_on_channel": {
    "channels": []
  },
  "is_handoff_like": true,
  "require_form_submission": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

action_id
string
required

Body

application/json
name
string

Action display name

description
string

What this action does

api_endpoint
string<uri>

The full API endpoint URL to call

request_type
enum<string>

HTTP method

Available options:
GET,
POST,
PUT,
PATCH,
DELETE
operation_id
string

Unique operation ID (auto-generated from name if omitted)

payload
object

OpenAPI-style operation spec: parameters, requestBody, responses, etc.

enabled_on_channel
object

Channel restrictions (defaults to web only)

pinned
boolean

Whether to pin this action prominently

tags
string[]

Tags for organizing actions

require_form_submission
boolean

Require the user to submit a form before executing

Response

Default Response

id
string
required

Unique action ID

name
string
required

Action display name

description
string | null
required

What this action does

api_endpoint
string | null
required

The API endpoint URL this action calls

request_type
string | null
required

HTTP method (GET, POST, PUT, PATCH, DELETE)

operation_id
string | null
required

Unique operation ID used to reference this action

payload
object | null
required

OpenAPI-style operation spec defining parameters, request body, and responses

status
string | null
required

Action status (e.g. "live")

pinned
boolean
required

Whether this action is pinned prominently

tags
string[]
required

Tags for organizing actions

enabled_on_channel
object
required

Channel restrictions

is_handoff_like
boolean
required

Whether this action behaves like a handoff to a human agent

require_form_submission
boolean | null
required

Whether a form must be submitted before the action executes

created_at
string<date-time>
required

When the action was created

updated_at
string<date-time>
required

When the action was last updated